/// <reference types="react" />
import { actions, selectors } from '../store';
import { DocumentProps } from '.';
export declare const DocumentEditor: import("react-redux").ConnectedComponentClass<({ change, document, plugin, focus, focusNext, focusPrevious, empty, focused, id, pluginProps }: DocumentProps & DocumentEditorStateProps & DocumentEditorDispatchProps) => JSX.Element | null, Pick<DocumentProps & DocumentEditorStateProps & DocumentEditorDispatchProps, "id" | "pluginProps"> & DocumentProps>;
export interface DocumentEditorStateProps {
    document: ReturnType<typeof selectors['getDocument']>;
    empty: ReturnType<typeof selectors['isEmpty']>;
    focused: ReturnType<typeof selectors['isFocused']>;
    plugin: ReturnType<typeof selectors['getPlugin']>;
}
export interface DocumentEditorDispatchProps {
    focusNext: typeof actions['focusNext'];
    focusPrevious: typeof actions['focusPrevious'];
    focus: typeof actions['focus'];
    change: typeof actions['change'];
}
//# sourceMappingURL=editor.d.ts.map