import * as React from 'react';
import { MapDispatchToPropsParam, MapStateToPropsParam, ProviderProps, ReactReduxContextValue } from 'react-redux';
import { State, Action } from './store';
export declare const EditorContext: React.Context<ReactReduxContextValue<any, import("redux").AnyAction>>;
export declare function Provider(props: ProviderProps<Action> & {
    children: React.ReactNode;
}): JSX.Element;
export declare function connect<StateProps, DispatchProps, OwnProps>(mapStateToProps: MapStateToPropsParam<StateProps, OwnProps, State>, mapDispatchToProps: MapDispatchToPropsParam<DispatchProps, OwnProps>): import("react-redux").InferableComponentEnhancerWithProps<StateProps & import("react-redux").ResolveThunks<DispatchProps>, OwnProps>;
export declare function connectStateOnly<StateProps, OwnProps>(mapStateToProps: MapStateToPropsParam<StateProps, OwnProps, State>): import("react-redux").InferableComponentEnhancerWithProps<import("react-redux").DispatchProp<import("redux").AnyAction> & StateProps, OwnProps>;
//# sourceMappingURL=editor-context.d.ts.map