import { State } from './types';
import { ClipboardAction } from './clipboard/actions';
import { DocumentsAction } from './documents/actions';
import { FocusAction } from './focus/actions';
import { HistoryAction } from './history/actions';
import { ModeAction } from './mode/actions';
import { RootAction } from './root/actions';
export declare const setPartialState: {
    (payload: Partial<State>): {
        type: "SetPartialState";
        payload: Partial<State>;
    };
    type: "SetPartialState";
};
export declare type SetPartialState = ReturnType<typeof setPartialState>;
export declare type Action = ClipboardAction | DocumentsAction | FocusAction | HistoryAction | ModeAction | RootAction | SetPartialState;
//# sourceMappingURL=actions.d.ts.map