import { DocumentState, State } from '../types';
export declare const documentsReducer: import("../helpers").SubReducer<Record<string, DocumentState>>;
export declare function getDocuments(state: State): Record<string, DocumentState>;
export declare function getDocument(state: State, id: string | null): DocumentState | null;
export declare function serializeDocument(state: State, id: string | null): DocumentState | null;
export declare function isEmpty(state: State, id: string): boolean;
export declare const publicDocumentsSelectors: {
    getDocument: typeof getDocument;
    serializeDocument: typeof serializeDocument;
    isEmpty: typeof isEmpty;
};
//# sourceMappingURL=reducer.d.ts.map