export declare const focus: {
    (payload: string): {
        type: "Focus";
        payload: string;
    };
    type: "Focus";
};
export declare type FocusDocumentAction = ReturnType<typeof focus>;
export declare const focusNext: {
    (): {
        type: "FocusNext";
    };
    type: "FocusNext";
};
export declare type FocusNextDocumentAction = ReturnType<typeof focusNext>;
export declare const focusPrevious: {
    (): {
        type: "FocusPrevious";
    };
    type: "FocusPrevious";
};
export declare type FocusPreviousDocumentAction = ReturnType<typeof focusPrevious>;
export declare type FocusAction = FocusDocumentAction | FocusNextDocumentAction | FocusPreviousDocumentAction;
export declare const publicFocusActions: {
    focus: {
        (payload: string): {
            type: "Focus";
            payload: string;
        };
        type: "Focus";
    };
    focusNext: {
        (): {
            type: "FocusNext";
        };
        type: "FocusNext";
    };
    focusPrevious: {
        (): {
            type: "FocusPrevious";
        };
        type: "FocusPrevious";
    };
};
//# sourceMappingURL=actions.d.ts.map