import { Plugin } from '../../plugin';
import { State } from '../types';
export declare const pluginsReducer: import("../helpers").SubReducer<{
    defaultPlugin: string;
    plugins: Record<string, Plugin<import("../../plugin-state").StateDescriptor<any, any, unknown>, any>>;
}>;
export declare function getDefaultPlugin(state: State): string;
export declare function getPlugins(state: State): Record<string, Plugin<import("../../plugin-state").StateDescriptor<any, any, unknown>, any>>;
export declare function getPlugin(state: State, type: string): Plugin | null;
export declare function getPluginTypeOrDefault(state: State, type?: string): string;
export declare function getPluginOrDefault(state: State, type?: string): Plugin | null;
export declare const publicPluginsSelectors: {
    getDefaultPlugin: typeof getDefaultPlugin;
    getPlugins: typeof getPlugins;
    getPlugin: typeof getPlugin;
};
//# sourceMappingURL=reducer.d.ts.map