import { DocumentState } from '../types';
export declare const copy: {
    (payload: string | null): {
        type: "Copy";
        payload: string | null;
    };
    type: "Copy";
};
export declare type CopyAction = ReturnType<typeof copy>;
export declare const pureCopy: {
    (payload: DocumentState): {
        type: "PureCopy";
        payload: DocumentState;
    };
    type: "PureCopy";
};
export declare type PureCopyAction = ReturnType<typeof pureCopy>;
export declare type ClipboardAction = CopyAction | PureCopyAction;
export declare const publicClipboardActions: {
    copy: {
        (payload: string | null): {
            type: "Copy";
            payload: string | null;
        };
        type: "Copy";
    };
};
//# sourceMappingURL=actions.d.ts.map