import { State } from '../types';
export declare const focusReducer: import("../helpers").SubReducer<string | null>;
export declare function getFocused(state: State): string | null;
export declare function isFocused(state: State, id: string): boolean;
export declare function getFocusTree(state: State, root?: string | null): Node | null;
export declare function findNextNode(root: Node, from: string): string | null;
export declare function findPreviousNode(root: Node, from: string): string | null;
export declare function findParent(root: Node, id: string): Node | null;
export interface Node {
    id: string;
    children?: Node[];
}
export declare const publicFocusSelectors: {
    isFocused: typeof isFocused;
    getFocusTree: typeof getFocusTree;
    findPreviousNode: typeof findPreviousNode;
    findNextNode: typeof findNextNode;
};
//# sourceMappingURL=reducer.d.ts.map