import { Action } from '../actions';
import { State } from '../types';
export declare const historyReducer: import("../helpers").SubReducer<import("../types").HistoryState>;
export declare function getHistory(state: State): import("../types").HistoryState;
export declare function getInitialState(state: State): {
    documents: Record<string, import("../types").DocumentState>;
} | undefined;
export declare function getPendingChanges(state: State): number;
export declare function hasPendingChanges(state: State): boolean;
export declare function getUndoStack(state: State): Action[][];
export declare function getRedoStack(state: State): Action[][];
export declare const publicHistorySelectors: {
    getPendingChanges: typeof getPendingChanges;
    hasPendingChanges: typeof hasPendingChanges;
};
//# sourceMappingURL=reducer.d.ts.map