"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.highlightPlugin = exports.highlightState = void 0;

var _core = require("@edtr-io/core");

var _editor = require("./editor");

var _editorUi = require("@edtr-io/editor-ui");

var highlightState = _core.StateType.object({
  text: _core.StateType.string(''),
  language: _core.StateType.string('text'),
  lineNumbers: _core.StateType["boolean"](false)
});

exports.highlightState = highlightState;
var highlightPlugin = {
  Component: _editor.HighlightEditor,
  state: highlightState,
  title: 'Code',
  description: 'Schreibe Code und lasse ihn je nach Programmiersprache highlighten.',
  icon: (0, _editorUi.createIcon)(_editorUi.faCode)
};
exports.highlightPlugin = highlightPlugin;
//# sourceMappingURL=index.js.map