import { FontAwesomeIcon } from '@fortawesome/react-fontawesome';
import { IconDefinition } from '@fortawesome/fontawesome-svg-core';
import * as React from 'react';
export declare const Icon: typeof FontAwesomeIcon;
export { faCheck, faCut, faCog, faCopy, faFileAlt, faImages, faLink, faMinus, faPaste, faPencilAlt, faPlus, faSpinner, faTimes, faTrashAlt, faFilm, faCaretSquareUp, faCaretSquareDown, faSortUp, faSortDown, faToolbox, faEllipsisH, faSearch, faCloudUploadAlt, faQuestionCircle, faAnchor, faQuoteRight, faEquals, faCubes, faCode, faLightbulb, faKeyboard, faDotCircle, faCheckSquare, faParagraph, faRedoAlt } from '@fortawesome/free-solid-svg-icons';
export declare function createIcon(i: IconDefinition): React.FunctionComponent;
export declare type EdtrIconDefinition = string;
export declare const EdtrIcon: React.FunctionComponent<{
    icon: EdtrIconDefinition;
    className?: string;
}>;
export declare const edtrAlignBlock: EdtrIconDefinition;
export declare const edtrAlignCenter: EdtrIconDefinition;
export declare const edtrAlignRight: EdtrIconDefinition;
export declare const edtrAlignLeft: EdtrIconDefinition;
export declare const edtrClose: EdtrIconDefinition;
export declare const edtrFormel: EdtrIconDefinition;
export declare const edtrText: EdtrIconDefinition;
export declare const edtrLink: EdtrIconDefinition;
export declare const edtrQuote: EdtrIconDefinition;
export declare const edtrListNumbered: EdtrIconDefinition;
export declare const edtrListBullets: EdtrIconDefinition;
export declare const edtrItalic: EdtrIconDefinition;
export declare const edtrColorText: EdtrIconDefinition;
export declare const edtrFill: EdtrIconDefinition;
export declare const edtrBold: EdtrIconDefinition;
export declare const edtrPlus: EdtrIconDefinition;
export declare const edtrSearch: EdtrIconDefinition;
export declare const edtrDefaultPlugin: EdtrIconDefinition;
export declare const edtrDragHandle: EdtrIconDefinition;
export declare const edtrTextControls: {
    bold: string;
    italic: string;
    colorText: string;
    listNumbered: string;
    listBullets: string;
    formel: string;
    link: string;
    text: string;
    close: string;
    quote: string;
};
export declare const edtrRowsControls: {
    plus: string;
    close: string;
    search: string;
    defaultPlugin: string;
    dragHandle: string;
};
//# sourceMappingURL=icon.d.ts.map