import * as React from 'react';
export declare const createOverlayCheckboxTheme: (key: "button" | "checkbox" | "input" | "overlay" | "textarea", theme: {
    editor: import("../theme").EditorTheme;
    editorUi: import("../theme").EditorUiTheme;
}) => CheckboxTheme;
export declare class Checkbox extends React.Component<CheckboxProps> {
    render(): JSX.Element;
}
export declare const InlineCheckbox: React.FunctionComponent<CheckboxProps>;
export interface CheckboxProps {
    checked?: boolean;
    onChange?: (checked: boolean) => void;
    label?: string;
}
export interface CheckboxTheme {
    boxSelectedColor: string;
    boxDeselectedColor: string;
    color: string;
}
//# sourceMappingURL=overlay-checkbox.d.ts.map