import * as React from 'react';
export declare const createOverlayInputTheme: (key: "button" | "checkbox" | "input" | "overlay" | "textarea", theme: {
    editor: import("../theme").EditorTheme;
    editorUi: import("../theme").EditorUiTheme;
}) => InputTheme;
export declare class InlineInput extends React.Component<InputProps> {
    private input;
    focus(): void;
    render(): JSX.Element;
}
export declare class OverlayInput extends React.Component<InputProps> {
    private input;
    focus(): void;
    render(): JSX.Element;
}
export declare class AutoFocusInput extends React.Component<InputProps> {
    render(): JSX.Element;
}
export interface InputTheme {
    backgroundColor: string;
    color: string;
    highlightColor: string;
}
export interface InputProps extends React.DetailedHTMLProps<React.InputHTMLAttributes<HTMLInputElement>, HTMLInputElement> {
    label?: string;
    textfieldWidth?: string;
    editorInputWidth?: string;
}
//# sourceMappingURL=overlay-input.d.ts.map