import * as React from 'react';
export declare const createExpandableBoxTheme: (key: "expandableBox", theme: {
    renderer: import("../theme").RendererTheme;
    rendererUi: import("../theme").RendererUiTheme;
}) => ExpandableBoxTheme;
export declare function ExpandableBox({ children, editable, alwaysVisible, title }: {
    children?: React.ReactNode;
    editable?: boolean;
    alwaysVisible?: boolean;
    title: React.ReactNode;
}): JSX.Element;
export interface ExpandableBoxTheme {
    containerBorderColor: string;
    toggleBackgroundColor: string;
    toggleColor: string;
}
//# sourceMappingURL=expandable-box.d.ts.map